<TeXmacs|1.0.7.20>

<style|<tuple|beamer|mathemagix|vdh>>

<\body>
  <screens|<\shown>
    <\with|par-mode|center>
      <strong|<\with|font-base-size|17>
        Complexit de l'arithmthique tordue\ 
      </with>>

      <abbr|Joris> van der Hoeven

      <small|CNRS, cole polytechnique>
    </with>

    <\with|par-mode|center>
      <tabular*|<tformat|<cwith|1|1|2|2|cell-valign|c>|<table|<row|<cell|
      >|<cell|>|<cell|>>|<row|<cell|>|<cell|<img|<image|texmacs-chip.ps|0.5w|0.5h||>>>|<cell|>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|<strong|INRIA,
      Rocquencourt, 2012<rsub|<math|<rsub|>>>>>|<cell|>>|<row|<cell|>|<cell|<verbatim|http://www.<anim-repeat|<anim-compose|<anim-constant|<with|color|brown|T<space|-0.2spc><with|color|brown|<rsub|<with|math-level|0|font-shape|small-caps|e>>>X<space|-0.2spc>><with|color|dark
      green|<rsub|<with|math-level|0|font-shape|small-caps|m<space|-0.2spc>a<space|-0.4spc>c<space|-0.2spc>s>>>|1sec>|<anim-constant|<with|color|dark
      green|T<space|-0.2spc><with|color|brown|<rsub|<with|math-level|0|font-shape|small-caps|e>>>X<space|-0.2spc>><with|color|brown|<rsub|<with|math-level|0|font-shape|small-caps|m<space|-0.2spc>a<space|-0.4spc>c<space|-0.2spc>s>>>|1sec>>>.org>>|<cell|>>>>>
    </with>

    \;
  </shown>|<\hidden>
    <tit|Position des problmes>

    <unroll|<\shown>
      <vspace*|0.5fn><strong|Dfinitions>

      <\compact>
        <math|\<bbb-K\>>: corps effectif de caractristique nulle,
        <math|\<delta\>=x*\<partial\>/\<partial\> x>

        <math|\<bbb-K\><around*|[|x,\<delta\>|]><rsub|n,r>=<around*|{|L\<in\>\<bbb-K\><around*|[|x,\<delta\>|]>:deg<rsub|x>
        L\<less\>n,deg<rsub|\<delta\>> L\<less\>r|}>>
      </compact>
    </shown>|<\hidden*>
      <strong|Complexits fondamentales>

      <\compact>
        <\itemize>
          <unroll|<\shown>
            <item><math|<value|ssM><around*|(|n|)>=\<cal-O\><around*|(|n*log
            n*log log n|)>>: multiplication de deux polynmes dans
            <math|\<bbb-K\><around*|[|x|]><rsub|n>>
          </shown>|<\hidden*>
            <item><math|\<cal-O\><around*|(|r<rsup|\<omega\>>|)>>,
            <math|\<omega\>\<less\>2.376>: multiplication de matrices dans
            <math|\<bbb-K\><rsup|r\<times\>r>>
          </hidden*>|<\hidden*>
            <item><math|<math-ss|SM><around*|(|n,r|)>>: multiplication de
            deux oprateurs dans <math|\<bbb-K\><around*|[|x,\<delta\>|]><rsub|n,r>>
          </hidden*>|<\hidden*>
            <item><math|<math-ss|SV><around*|(|n,r|)>>: application de
            <math|L\<in\>\<bbb-K\><around*|[|x,\<delta\>|]><rsub|n,r>> 
            <math|V\<in\>\<bbb-K\><around|[|x|]><rsub|n><rsup|r>>
          </hidden*>|<\hidden*>
            <item><math|<math-ss|SF><around|(|n,r|)>>: systme fondamental
            pour <math|L\<in\>\<delta\><rsup|r>+K<around*|[|x,\<delta\>|]><rsub|n,r>>
             l'ordre <math|\<cal-O\><around*|(|x<rsup|n>|)>>
          </hidden*>|<\hidden*>
            <item><rigid|<math|<math-ss|SA><around|(|n,r|)>>>: annulateur
            pour <math|V\<in\>\<bbb-K\><around*|[|x|]><rsub|n><rsup|r>> dans
            <math|\<delta\><rsup|r>+K<around*|[|x,\<delta\>|]><rsub|n,r>> 
            l'ordre <math|\<cal-O\><around*|(|x<rsup|n>|)>>
          </hidden*>>
        </itemize>
      </compact>
    </hidden*>|<\hidden*>
      <strong|Autres oprations>

      <\compact>
        <\itemize>
          <unroll|<\shown>
            <item>Division exacte, division avec reste, division tendue
          </shown>|<\hidden*>
            <item>Pgcd, ppcm et \S<nbsp>pgcd/ppcm tendu<nbsp>\T
          </hidden*>>
        </itemize>
      </compact>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Multiplication nave>

    <\compact>
      <vspace*|1fn><strong|Entres :> <math|K,L\<in\>\<bbb-K\><around*|[|x,\<delta\>|]><rsub|n,r>>

      <strong|Sortie :> <math|K*L\<in\>\<bbb-K\><around*|[|x,\<delta\>|]><rsub|2*n-1,2*r-1>>
    </compact>

    <\itemize>
      <vspace*|0.5fn><item><math|n<rsup|2>*r<rsup|2>> produits
      <math|<around*|(|K<rsub|i,j>*x<rsup|i>*\<delta\><rsup|j>|)>*<around*|(|L<rsub|i<rprime|'>,j<rprime|'>>*x<rsup|i<rprime|'>>*\<delta\><rsup|j<rprime|'>>|)>=K<rsub|i,j>*L<rsub|i<rprime|'>,j<rprime|'>>*x<rsup|i+i<rprime|'>>*<around*|(|\<delta\>+i<rprime|'>|)><rsup|j>*\<delta\><rsup|j<rprime|'>>>

      <item>Complexit : <math|\<cal-O\><around*|(|n<rsup|2>*r<rsup|3>|)>>
    </itemize>

    \;
  </hidden>|<\hidden>
    <tit|Multiplication FFT>

    <unroll|<\shown>
      <\compact>
        <vspace*|1fn><strong|Entres :> <math|K,L\<in\>\<bbb-K\><around*|[|x,\<delta\>|]><rsub|n,r>>

        <strong|Sortie :> <math|K*L\<in\>\<bbb-K\><around*|[|x,\<delta\>|]><rsub|2*n-1,2*r-1>>
      </compact>

      <vspace*|0.5fn><strong|Formule de Takayama><htab|5mm>(cas
      <math|r\<leqslant\>n>, complexit en
      <math|\<cal-O\><around*|(|<math-ss|M><around|(|n*r|)>*r|)>>)

      <\eqnarray*>
        <tformat|<cwith|1|1|3|3|cell-bsep|1spc>|<table|<row|<cell|K*L>|<cell|=>|<cell|<big|sum><rsub|k\<less\>r><frac|1|k!>*<around*|(|<frac|\<partial\>|\<partial\>
        \<delta\>>|)><rsup|k> K\<ast\><around*|(|<frac|x*\<partial\>|\<partial\>
        x>|)><rsup|k> L>>|<row|<cell|K\<ast\>L>|<cell|=>|<cell|<big|sum><rsub|i,j,i<rprime|'>,j<rprime|'>>K<rsub|i,j>*L<rsub|i<rprime|'>,j<rprime|'>>*x<rsup|j+j<rprime|'>>*\<delta\><rsup|i+i<rprime|'>>>>>>
      </eqnarray*>
    </shown>|<\hidden*>
      <vspace*|0.5fn><strong|Dveloppement de <math|L> en
      <math|x>><htab|5mm>(cas <math|n\<leqslant\>r>, complexit en
      <math|\<cal-O\><around*|(|<value|ssM><around*|(|n*r|)>*n|)>>)

      <\eqnarray*>
        <tformat|<cwith|1|1|3|3|cell-bsep|1spc>|<table|<row|<cell|K<around*|(|x,\<delta\>|)>*L<around*|(|x,\<delta\>|)>>|<cell|=>|<cell|<big|sum><rsub|k\<less\>n>K<around*|(|x,\<delta\>|)>*<around*|(|x<rsup|k>*L<rsub|k><around*|(|\<delta\>|)>|)>>>|<row|<cell|>|<cell|=>|<cell|<big|sum><rsub|k\<less\>n>x<rsup|k>*K<around*|(|x,\<delta\>+k|)>*L<rsub|k><around*|(|\<delta\>|)>>>>>
      </eqnarray*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Multiplication par valuation-interpolation>

    <\ridged-paper>
      <\lemma*>
        <\compact>
          Soit <math|x<rsup|;k>=<around*|(|1,x,\<ldots\>,x<rsup|k-1>|)>\<in\>\<bbb-K\><around*|[|x|]><rsup|k>>
          pour chaque <math|k>.

          Alors <math|L\<in\>\<bbb-K\><around|[|x,\<delta\>|]><rsub|n,r>> est
          uniquement dtermin par <math|L<around|(|x<rsup|;r>|)>\<in\>\<bbb-K\><around*|[|x|]><rsub|n+r-1><rsup|r>>
          et
        </compact>

        <\enumerate>
          <item>On peut calculer <math|L<around|(|x<rsup|;r>|)>>  partir de
          <math|L> en temps <math|\<cal-O\><around|(|n*<math-ss|M><around*|(|r|)>*log
          r|)>>.

          <item>On peut calculer <math|L>  partir de
          <math|L<around|(|x<rsup|;r>|)>> en temps
          <math|\<cal-O\><around|(|n*<math-ss|M><around*|(|r|)>*log r|)>>.
        </enumerate>
      </lemma*>
    </ridged-paper>

    <\proof>
      <\compact>
        Plus prcisment : conversion entre <math|L> et

        <\eqnarray*>
          <tformat|<table|<row|<cell|\<Mu\><rsub|L><rsup|n+r-1,r>>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|L<around*|(|1|)><rsub|0>>|<cell|\<cdots\>>|<cell|L<around*|(|x<rsup|r-1>|)><rsub|0>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|L<around*|(|1|)><rsub|n+r-1>>|<cell|\<cdots\>>|<cell|L<around*|(|x<rsup|r-1>|)><rsub|n+r-1>>>>>>>>>>
        </eqnarray*>

        crire <math|L=<big|sum><rsub|i,j>L<rsub|i,j>*x<rsup|j>*\<delta\><rsup|i>>
        comme polynme en <math|x>

        <\eqnarray*>
          <tformat|<table|<row|<cell|L>|<cell|=>|<cell|x<rsup|n-1>*L<rsub|n-1><around*|(|\<delta\>|)>+\<cdots\>+L<rsub|0><around*|(|\<delta\>|)>>>>>
        </eqnarray*>

        Pour tout <math|i> et <math|j>, on a

        <\eqnarray*>
          <tformat|<table|<row|<cell|L<rsub|i><around*|(|\<delta\>|)><around*|(|x<rsup|j>|)>>|<cell|=>|<cell|x<rsup|j>*L<rsub|i><around*|(|j|)>.>>>>
        </eqnarray*>

        Donc <math|\<Mu\><rsub|L><rsup|n+r-1,r>> est une matrice bande
        triangulaire infriere, avec <math|\<leqslant\>n> bandes.

        La <math|i>-ime bande sous diagonale se convertit par une
        valuation/interpolation multi-point du <em|polynme>
        <math|L<rsub|i>\<in\>\<bbb-K\><around*|[|\<delta\>|]><rsub|r>> en les
        points <math|0,\<ldots\>,r-1>.
      </compact>
    </proof>
  </hidden>|<\hidden>
    <tit|Rsultats de complexit>

    <unroll|<\shown>
      <\ridged-paper>
        <\theorem*>
          On a :

          <\eqnarray*>
            <tformat|<table|<row|<cell|<math-ss|SM><around|(|n,r|)>>|<cell|=>|<cell|<choice|<tformat|<table|<row|<cell|\<cal-O\><around|(|n<rsup|\<omega\>-1>*r+n*<math-ss|M><around*|(|r|)>*log
            r|)>>|<cell|<with|mode|text|<with|color|black|si>
            >n\<leqslant\>r>>|<row|<cell|\<cal-O\><around|(|n<rsup|2>*r<rsup|\<omega\>-2>|)>>|<cell|<with|mode|text|<with|color|black|si>
            >n\<geqslant\>r>>>>>>>>>
          </eqnarray*>
        </theorem*>
      </ridged-paper>

      <\proof>
        Soient <math|K,L\<in\>\<bbb-K\><around*|[|x,\<delta\>|]><rsub|n,r>>.
        Alors

        <\eqnarray*>
          <tformat|<table|<row|<cell|\<Mu\><rsub|K*L><rsup|2*n+2*r-3,2*r-1>>|<cell|=>|<cell|\<Mu\><rsub|K><rsup|2*n+2*r-3,n+2*r-1>*\<Mu\><rsub|L><rsup|n+2*r-2,2*r-1>>>>>
        </eqnarray*>

        Cas <math|n\<geqslant\>r> : dcomposition en
        <math|<around*|\<lceil\>|n/r|\<rceil\>>> blocs.
      </proof>
    </shown>|<\hidden*>
      <\ridged-paper>
        <\theorem*>
          Si <math|n\<geqslant\>r>, alors

          <\eqnarray*>
            <tformat|<table|<row|<cell|<math-ss|SM><around|(|n,r|)>>|<cell|=>|<cell|\<cal-O\><around|(|<math-ss|SV><around|(|n,r|)>+n*<math-ss|M><around*|(|r|)>*log
            r|)>>>|<row|<cell|<math-ss|SV><around|(|n,r|)>>|<cell|=>|<cell|\<cal-O\><around|(|<math-ss|SM><around|(|n,r|)>+n*<math-ss|M><around*|(|r|)>*log
            r|)>>>>>
          </eqnarray*>
        </theorem*>
      </ridged-paper>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Rcapitulatif multiplication>

    <unroll|<\shown>
      <metal|<with|color|light grey|<tabular*|<tformat|<twith|table-width|1par>|<twith|table-hmode|exact>|<cwith|1|-1|2|2|cell-background|<pattern|/Users/vdhoeven/texmacs/src-qt/TeXmacs/misc/patterns/paper-ridged-medium.png||>>|<cwith|1|-1|1|1|cell-background|<pattern|/Users/vdhoeven/texmacs/src-qt/TeXmacs/misc/patterns/paper-ridged-medium.png||>>|<cwith|1|-1|3|3|cell-background|<pattern|/Users/vdhoeven/texmacs/src-qt/TeXmacs/misc/patterns/paper-ridged-light.png||>>|<cwith|1|-1|1|-1|cell-lsep|1spc>|<cwith|1|-1|1|-1|cell-rsep|1spc>|<cwith|1|-1|1|-1|cell-bsep|1spc>|<cwith|1|-1|1|-1|cell-tsep|1spc>|<cwith|1|-1|1|2|cell-rsep|1ln>|<cwith|1|-1|1|2|cell-rborder|2ln>|<cwith|1|1|1|-1|cell-bborder|2ln>|<table|<row|<cell|<math|n\<preccurlyeq\>r>>|<cell|<math|r\<preccurlyeq\>n\<preccurlyeq\>r<rsup|4-\<omega\>>>>|<cell|<math|r<rsup|4-\<omega\>>\<preccurlyeq\>n>>>|<row|<cell|<math|\<cal-O\><around*|(|n<rsup|\<omega\>-1>*r+n*<math-ss|M><around*|(|r|)>*log
      r|)>>>|<cell|<math|\<cal-O\><around*|(|n<rsup|2>*r<rsup|\<omega\>-2>|)>>>|<cell|<math|<wide|\<cal-O\>|~><around*|(|n*r<rsup|2>|)>>>>>>>>>
    </shown>|<\hidden*>
      <vspace*|1fn><strong|Question (en cours)>

      <\compact>
        Pour <math|n\<succcurlyeq\>r>, est-ce que l'on a
        <math|<math-ss|SM><around|(|n,r|)>=<wide|\<cal-O\>|~><around*|(|n*r<rsup|\<omega\>-1>|)>>
        ?
      </compact>
    </hidden*>|<\hidden*>
      <vspace*|0.5fn><strong|Dsormais>

      <\compact>
        <math|n\<geqslant\>r>
      </compact>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Correspondence de Hilbert>

    <unroll|<\shown>
      \;

      <\with|par-mode|center>
        Idal principal d'oprateurs <math|<around|(|L|)>>
        <math|\<longleftrightarrow\>> Espace des solutions
        <math|H<rsub|L>><vspace|0.5fn>
      </with>
    </shown>|<\hidden*>
      <strong|Espaces des solutions en des points non singuliers>

      <\compact>
        <math|L=L<rsub|r>*\<partial\><rsup|r>+\<cdots\>+L<rsub|0>>,
        <math|L<rsub|r><around|(|0|)>\<neq\>0>,
        <math|I\<in\>\<bbb-K\><rsup|r>> <math|\<Longrightarrow\>>

        Unique solution <math|f\<in\>\<bbb-K\><around|[|<around|[|x|]>|]>> de
        <math|L f=0> avec <math|f<rsup|<around|(|i|)>><around|(|0|)>=I<rsub|i>>
        (<math|i=0,\<ldots\>,r-1>)<vspace|0.5fn>
      </compact>

      <\compact>
        Systme fondamental de solutions <math|H\<in\>\<bbb-K\><around|[|<around|[|x|]>|]><rsup|r>>
        avec

        <\eqnarray*>
          <tformat|<table|<row|<cell|H<rsub|i>>|<cell|=>|<cell|x<rsup|i>+O<around|(|x<rsup|r>|)>>>>>
        </eqnarray*>
      </compact>
    </hidden*>|<\hidden*>
      <strong|Annulateur de <math|V\<in\>\<bbb-K\><around|[|<around|[|x|]>|]><rsup|r>>>

      <math|dim V=r\<Longrightarrow\>> <math|\<exists\>>! oprateur unitaire
      <math|L\<in\>\<delta\><rsup|r>+\<bbb-K\><around|[|<around|[|x|]>|]><around|[|\<delta\>|]><rsub|r>>
      avec <math|L V=0>

      <\equation*>
        L=ppcm<around*|(|\<delta\>-<frac|\<delta\>
        V<rsub|0>|V<rsub|0>>,\<ldots\>,\<delta\>-<frac|\<delta\>
        V<rsub|r-1>|V<rsub|r-1>>|)>
      </equation*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Solutions locales>

    <\ridged-paper>
      <\theorem*>
        Soit <math|L\<in\>\<bbb-K\><around*|[|x,\<delta\>|]><rsub|n,r>> non
        singulier. Alors on peut calculer <math|H>  l'ordre
        <math|\<cal-O\><around*|(|x<rsup|n>|)>> en temps
        <math|\<cal-O\><around*|(|<math-ss|SM><around|(|n,r|)>*log n|)>>.
      </theorem*>
    </ridged-paper>

    <\proof>
      <\compact>
        Puisque <math|L> est non singulier, on peut crire

        <\eqnarray*>
          <tformat|<table|<row|<cell|L>|<cell|=>|<cell|\<Delta\><rsub|r><around|(|\<delta\>|)>+x*C<rsub|r-1>*\<Delta\><rsub|r-1><around|(|\<delta\>|)>+\<cdots\>+x<rsup|r>*C<rsub|0>*\<Delta\><rsub|0><around|(|\<delta\>|)><htab|5mm><around*|(|C<rsub|i>\<in\>\<bbb-K\><around*|[|x|]>|)>>>|<row|<cell|\<Delta\><rsub|k><around|(|\<delta\>|)>>|<cell|=>|<cell|\<delta\>*<around|(|\<delta\>-1|)>*\<cdots\>*<around|(|\<delta\>-k+1|)>.>>>>
        </eqnarray*>

        On a <math|R=\<Delta\><rsub|r><around|(|\<delta\>|)>-L\<in\>x*\<bbb-K\><around|[|x,\<delta\>|]><rsub|n-1,r>:\<bbb-K\><around*|[|<around*|[|x|]>|]>\<rightarrow\>x<rsup|r>*\<bbb-K\><around*|[|<around*|[|x|]>|]>>.
        On a la formule <em|recursive>

        <\eqnarray*>
          <tformat|<table|<row|<cell|H>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|1>>|<row|<cell|\<vdots\>>>|<row|<cell|x<rsup|r-1>>>>>>+\<Delta\><rsub|r><around|(|\<delta\>|)><rsup|-1><around|(|R<around|(|H|)>|)>.>>>>
        </eqnarray*>

        L'oprateur <math|\<Delta\><rsub|r><around*|(|\<delta\>|)><rsup|-1><around*|(|R<around*|(|H|)>|)>>
        opre terme par terme<nbsp>:

        <\eqnarray*>
          <tformat|<table|<row|<cell|\<Delta\><rsub|r><around|(|\<delta\>|)><rsup|-1><around*|(|<big|sum><rsub|k\<geqslant\>r>A<rsub|k>*x<rsup|k>|)>>|<cell|=>|<cell|<big|sum><rsub|k\<geqslant\>r><frac|A<rsub|k>|\<Delta\><rsub|r><around|(|k|)>>*x<rsup|k>.>>>>
        </eqnarray*>

        <math|H> se calcule donc de faon dtendue en temps
        <math|\<cal-O\><around*|(|<math-ss|SM><around|(|n,r|)>*log n|)>>.
      </compact>
    </proof>
  </hidden>|<\hidden>
    <tit|Annulateurs>

    <\ridged-paper>
      <\theorem*>
        <\compact>
          <label|SA-from-SM-th>Supposons <math|H=<around|(|H<rsub|0>,\<ldots\>,H<rsub|r-1>|)>\<in\>\<bbb-K\><around|[|<around|[|x|]>|]><rsup|r>>
          avec

          <\eqnarray*>
            <tformat|<table|<row|<cell|p<space|0.6spc>\<assign\><space|0.6spc>v<rsup|max><around|(|V|)>>|<cell|\<assign\>>|<cell|max
            <around|{|v<around|(|Y|)>:Y\<in\>Vect<around|(|V|)>\<setminus\><around|{|0|}>|}><space|0.6spc>\<less\><space|0.6spc>\<infty\>.>>>>
          </eqnarray*>

          tant donne <math|H>  l'ordre
          <math|\<cal-O\><around*|(|x<rsup|n+p>|)>>, on l'unique annulateur
          <math|L=ann<around|(|H|)>\<in\>\<delta\><rsup|r>+\<bbb-K\><around|[|<around|[|x|]>|]><around|[|\<delta\>|]><rsub|r>>
          de <math|H>  l'ordre <math|\<cal-O\><around|(|x<rsup|n>|)>> se
          calcule en temps <math|\<cal-O\><around|(|<math-ss|SM><around|(|n+p,r|)>*log
          r|)>>.
        </compact>
      </theorem*>
    </ridged-paper>

    <\compact>
      <vspace*|1fn>Calcul de <math|ann<rsub|n><around|(|H|)>\<in\>\<delta\><rsup|r>+\<bbb-K\><around|[|x,\<delta\>|]><rsub|n,r>><nbsp>:<vspace|0.5fn>

      <\itemize>
        <item>Si <math|r=1>, alors <math|ann<rsub|n><around|(|H|)>\<assign\>\<delta\>-<around*|(|\<delta\>
        H<rsub|0>/H<rsub|0>|)> mod x<rsup|n>>.

        <item>Sinon, soit <math|r=a+b> avec
        <math|a\<assign\><around*|\<lceil\>|r/2|\<rceil\>>>.

        <item>Calculer <math|A\<assign\>ann<rsub|n><around|(|H<rsub|0>,\<ldots\>,H<rsub|a-1>|)>>.

        <item>valuer <math|I\<assign\><around|(|A<around|(|H<rsub|a>|)>,\<ldots\>,A<around|(|H<rsub|r-1>|)>|)>
        mod x<rsup|n>>.

        <item>Caluler <math|B\<assign\>ann<rsub|n><around|(|I<rsub|0>,\<ldots\>,I<rsub|b-1>|)>>.

        <item>Retourner <math|L=B*A mod x<rsup|n>>.
      </itemize>
    </compact>
  </hidden>|<\hidden>
    <tit|Positionnement en un point non singulier>

    <\ridged-paper>
      <\lemma*>
        \;

        <\enumerate>
          <item>On peut trouver <math|x<rsub|0>\<in\>\<bbb-K\>> o
          <math|L\<in\>\<bbb-K\><around*|[|x,\<partial\>|]>> est non
          singulier en temps <math|\<cal-O\><around|(|<math-ss|M><around|(|n|)>|)>>.

          <\compact>
            <item>Soit <math|L\<in\>\<bbb-K\><around|[|x,\<delta\>|]><rsub|n,r>>.
            On peut rcrire <math|u<rsup|r>*L> comme oprateur dans
            <math|\<bbb-K\><around*|[|u,\<delta\><rsub|u>|]><rsub|n+2*r,r>>
            en temps <math|\<cal-O\><around|(|r*<math-ss|M><around*|(|n|)>*log
            n|)>>, o <math|x=x<rsub|0>+u>.
          </compact>
        </enumerate>
      </lemma*>
    </ridged-paper>

    <\proof>
      \;

      <\enumerate>
        <\compact>
          <item>Le terme dominant <math|P=L<rsub|deg<rsub|\<delta\>> L>> de
          <math|L> en <math|x> admet au plus <math|n> racines.

          On peut trouver une non-racine de <math|P> parmi
          <math|1,\<ldots\>,2<rsup|n>> en temps
          <math|\<cal-O\><around*|(|<math-ss|M><around*|(|n|)>|)>><vspace|0.5fn>
        </compact>

        <\compact>
          <item>Rcrire <math|L> comme oprateur dans
          <math|\<bbb-K\><around*|[|x,\<partial\>|]><rsub|n+r,r>> en temps
          <math|\<cal-O\><around|(|r*<math-ss|M><around*|(|n|)>*log n|)>>.

          Rcrire <math|L> \R dans <math|\<bbb-K\><around*|[|u,\<partial\><rsub|u>|]><rsub|n+r,r>>
          en temps <math|\<cal-O\><around|(|r*<math-ss|M><around*|(|n|)>|)>>.

          Rcrire <math|u<rsup|r>*L> \R dans
          <math|\<bbb-K\><around*|[|u,\<delta\><rsub|u>|]><rsub|n+2*r,r>> en
          temps <math|\<cal-O\><around|(|r*<math-ss|M><around*|(|n|)>*log
          n|)>>.
        </compact>
      </enumerate>
    </proof>

    \;
  </hidden>|<\hidden>
    <tit|Division exacte>

    <\ridged-paper>
      <\theorem*>
        <\compact>
          Soient <math|K,L\<in\>\<bbb-K\><around|[|x,\<delta\>|]><rsub|n,r>>
          tels que <math|L=Q*K> pour <math|Q\<in\>\<bbb-K\><around|[|x,\<delta\>|]>>.

          Alors on peut calculer <math|Q> en temps
          <math|O<around*|(|<math-ss|SM><around|(|n,r|)>*log n|)>>.
        </compact>
      </theorem*>
    </ridged-paper>

    \;

    <strong|Algorithme><vspace|0.5fn>

    <\itemize>
      <item>Rduire au cas non singulier.

      <item>Calculer systme fondamental <math|H> avec
      <math|L<around*|(|H|)>=0>  l'ordre
      <math|\<cal-O\><around*|(|x<rsup|n+r>|)>>.

      <item>valuer <math|I=K<around*|(|H|)>> et calculer une
      <math|\<bbb-K\>>-base <math|G> de <math|Vect<around*|(|I|)>>  l'ordre
      <math|\<cal-O\><around*|(|x<rsup|n+r>|)>>.

      <item>Calculer l'annulateur <math|\<Omega\>=ann<around*|(|G|)>> de
      <math|G>  l'ordre <math|\<cal-O\><around*|(|x<rsup|n>|)>>.

      <item>Retourner la troncature de <math|Q<rsub|s>*\<Omega\>>  l'ordre
      <math|\<cal-O\><around*|(|x<rsup|n>|)>>, o
      <math|Q<rsub|s>=L<rsub|deg<rsub|\<delta\>>
      L>/K<rsub|deg<rsub|\<delta\>> K>>.
    </itemize>
  </hidden>|<\hidden>
    <tit|Interpolation diffrentielle>

    <\ridged-paper>
      <\lemma*>
        <\compact>
          Soit <math|H=<around*|(|H<rsub|0>,\<ldots\>,H<rsub|r-1>|)>\<in\>\<bbb-K\><around|[|<around|[|x|]>|]><rsup|r>>
          tel que <math|p=v<rsup|max><around|(|Vect<around|(|H|)>|)>+1\<less\>\<infty\>>.

          Pour <math|G\<in\><around|(|x<rsup|p>*\<bbb-K\><around|[|<around|[|x|]>|]>|)><rsup|r>>,
          il existe un unique <math|L\<in\>\<bbb-K\><around|[|<around|[|x|]>|]><around|[|\<delta\>|]><rsub|r>>
          avec <math|L<around|(|H|)>=G>,

          et on peut calculer <math|L>  l'ordre
          <math|\<cal-O\><around*|(|x<rsup|n>|)>> en temps
          <math|\<cal-O\><around|(|<math-ss|SM><around|(|n+p,r|)>*log n|)>>.
        </compact>
      </lemma*>
    </ridged-paper>

    <\proof>
      <\compact>
        Modulo changement de base : <math|\<alpha\><rsub|0>=v<around*|(|H<rsub|0>|)>\<less\>\<cdots\>\<less\>\<alpha\><rsub|r-1>=v<around*|(|H<rsub|r-1>|)>>
        et <math|H<rsub|i>> unitaires. Soient

        <\eqnarray*>
          <tformat|<cwith|2|2|3|3|cell-bsep|2spc>|<table|<row|<cell|\<Phi\>:\<bbb-K\><around|[|<around|[|x|]>|]><rsup|r>>|<cell|\<rightarrow\>>|<cell|\<bbb-K\><around|[|<around|[|x|]>|]><rsup|r>>>|<row|<cell|\<Phi\><around|(|V<rsub|0>,\<ldots\>,V<rsub|r-1>|)>>|<cell|=>|<cell|<around|(|x<rsup|\<alpha\><rsub|0>>*V<rsub|0>,\<ldots\>,x<rsup|\<alpha\><rsub|r-1>>*V<rsub|r-1>|)>;>>|<row|<cell|\<Psi\>:\<bbb-K\><around|[|<around|[|x|]>|]><around|[|\<delta\>|]><rsub|r>>|<cell|\<rightarrow\>>|<cell|\<bbb-K\><around|[|<around|[|x|]>|]><rsup|r>>>|<row|<cell|\<Psi\><around|(|K|)>>|<cell|=>|<cell|\<Phi\><rsup|\<um\>1><around|(|K<around|(|\<Phi\><around|(|1|)>|)>|)>>>|<row|<cell|>|<cell|=>|<cell|<around*|(|x<rsup|-\<alpha\><rsub|0>>*K<around*|(|x<rsup|\<alpha\><rsub|0>>|)>,\<ldots\>,x<rsup|-\<alpha\><rsub|r-1>>*K<around*|(|x<rsup|\<alpha\><rsub|r-1>>|)>|)>.>>>>
        </eqnarray*>

        <switch|<\shown>
          crivant <math|K=<big|sum><rsub|i,k>K<rsub|i,k>*x<rsup|k>*\<delta\><rsup|i>>
          et <math|\<Psi\><around|(|K|)><rsub|i,k>=<around|(|\<Psi\><around|(|K|)><rsub|i>|)><rsub|k>>,
          on a

          <\eqnarray*>
            <tformat|<table|<row|<cell|<matrix|<tformat|<table|<row|<cell|\<Psi\><around|(|K|)><rsub|0,k>>>|<row|<cell|\<vdots\>>>|<row|<cell|\<Psi\><around|(|K|)><rsub|r-1,k>>>>>>>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|1>|<cell|k+\<alpha\><rsub|0>>|<cell|\<cdots\>>|<cell|<around|(|k+\<alpha\><rsub|0>|)><rsup|r-1>>>|<row|<cell|\<vdots\>>|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|1>|<cell|k+\<alpha\><rsub|r-1>>|<cell|\<cdots\>>|<cell|<smash|<around|(|k+\<alpha\><rsub|r-1>|)><rsup|r-1>>>>>>>*<matrix|<tformat|<table|<row|<cell|K<rsub|0,k>>>|<row|<cell|\<vdots\>>>|<row|<cell|K<rsub|r-1,k>>>>>>.>>>>
          </eqnarray*>

          Donc, <math|\<Psi\>> et <math|\<Psi\><rsup|-1>> oprent terme par
          terme et se calculent  l'ordre
          <math|\<cal-O\><around*|(|x<rsup|n>|)>> et temps
          <math|\<cal-O\><around|(|n*<math-ss|M><around*|(|r|)>*log r|)>>.

          <math|<with|color|dark blue|\<cdots\>\<cdots\>>>
        </shown>|<\hidden>
          Posant <math|H<rsub|i>=x<rsup|\<alpha\><rsub|i>>+E<rsub|i>> avec
          <math|E<rsub|i>=<very-small|\<cal-O\>><around|(|x<rsup|\<alpha\><rsub|i>>|)>>,
          l'quation <math|L<around|(|H|)>=G> se rcrit

          <switch|<\shown>
            <\eqnarray*>
              <tformat|<table|<row|<cell|L<around*|(|H|)>>|<cell|=>|<cell|G>>>>
            </eqnarray*>

            <math|<with|color|dark blue|\<cdots\>\<cdots\>>>
          </shown>|<\hidden>
            <\eqnarray*>
              <tformat|<table|<row|<cell|L<around*|(|H|)>>|<cell|=>|<cell|G>>|<row|<cell|<around*|(|L<around*|(|x<rsup|\<alpha\><rsub|0>>|)>,\<ldots\>,L<around*|(|x<rsup|\<alpha\><rsub|r-1>>|)>|)>+L<around*|(|E|)>>|<cell|=>|<cell|G>>>>
            </eqnarray*>

            <math|<with|color|dark blue|\<cdots\>\<cdots\>>>
          </hidden>|<\hidden>
            <\eqnarray*>
              <tformat|<table|<row|<cell|<around*|(|L<around*|(|x<rsup|\<alpha\><rsub|0>>|)>,\<ldots\>,L<around*|(|x<rsup|\<alpha\><rsub|r-1>>|)>|)>+L<around*|(|E|)>>|<cell|=>|<cell|G>>|<row|<cell|\<Phi\><around*|(|\<Psi\><around*|(|L|)>|)>+L<around*|(|E|)>>|<cell|=>|<cell|G>>>>
            </eqnarray*>

            <math|<with|color|dark blue|\<cdots\>\<cdots\>>>
          </hidden>|<\hidden>
            <\eqnarray*>
              <tformat|<table|<row|<cell|\<Phi\><around*|(|\<Psi\><around*|(|L|)>|)>+L<around*|(|E|)>>|<cell|=>|<cell|G>>|<row|<cell|\<Phi\><around*|(|\<Psi\><around*|(|L|)>|)>>|<cell|=>|<cell|G-L<around*|(|E|)>>>>>
            </eqnarray*>

            <math|<with|color|dark blue|\<cdots\>\<cdots\>>>
          </hidden>|<\hidden>
            <\eqnarray*>
              <tformat|<table|<row|<cell|\<Phi\><around*|(|\<Psi\><around*|(|L|)>|)>>|<cell|=>|<cell|G-L<around*|(|E|)>>>|<row|<cell|L>|<cell|=>|<cell|\<Psi\><rsup|\<um\>1><around|(|\<Phi\><rsup|-1><around|(|G-L<around|(|E|)>|)>|)>.>>>>
            </eqnarray*>

            <math|<with|color|dark blue|\<cdots\>\<cdots\>>>
          </hidden>|<\hidden>
            <\eqnarray*>
              <tformat|<table|<row|<cell|L>|<cell|=>|<cell|\<Psi\><rsup|\<um\>1><around|(|\<Phi\><rsup|-1><around|(|G-L<around|(|E|)>|)>|)>.>>>>
            </eqnarray*>

            Cette quation est <em|rcursive>
            (<math|x<rsup|-\<alpha\><rsub|i>>*L<around*|(|E<rsub|i>|)>\<prec\>L>,
            donc <math|\<Phi\><rsup|-1><around*|(|L<around*|(|E|)>|)>\<prec\>L>).

            <math|\<rightsquigarrow\>> Rsolution dtendue  l'ordre
            <math|\<cal-O\><around*|(|x<rsup|n>|)>> en temps
            <math|\<cal-O\><around|(|<math-ss|SM><around|(|n+p,r|)>*log
            n|)>>.
          </hidden>>
        </hidden>>
      </compact>
    </proof>
  </hidden>|<\hidden>
    <tit|Division avec reste (dfinitions)>

    Pour <math|A,B\<in\>\<bbb-K\><around*|(|x|)><around*|[|\<delta\>|]>>,
    uniques <math|Q=quo<around|(|A,B|)>,R=rem<around|(|A,B|)>\<in\>\<bbb-K\><around|(|x|)><around|[|\<delta\>|]>>
    avec

    <\eqnarray*>
      <tformat|<table|<row|<cell|A>|<cell|=>|<cell|Q*B+R<htab|5mm><around*|(|deg<rsub|\<delta\>>
      R\<less\>deg<rsub|\<delta\>> B|)>>>>>
    </eqnarray*>

    Si <math|A,B\<in\>\<bbb-K\><around|[|x,\<delta\>|]>> et
    <math|I=B<rsub|deg<rsub|\<delta\>> B>>, uniques
    <math|Q=pquo<around|(|A,B|)>>, <math|R=prem<around|(|A,B|)>\<in\>\<bbb-K\><around|[|x,\<delta\>|]>>
    avec

    <\eqnarray*>
      <tformat|<table|<row|<cell|I<rsup|deg<rsub|\<delta\>>
      A-deg<rsub|\<delta\>> B+1>*A>|<cell|=>|<cell|Q*B+R<htab|5mm><around*|(|deg<rsub|\<delta\>>
      R\<less\>deg<rsub|\<delta\>> B|)>>>>>
    </eqnarray*>

    Soit <math|J=pgcd<around*|(|I,Q,R|)>>. En divisant la dernire relation
    par <math|J>, on obtient

    <\eqnarray*>
      <tformat|<table|<row|<cell|C*A>|<cell|=>|<cell|Q*B+R<htab|5mm><tabular*|<tformat|<twith|table-valign|T>|<cwith|1|1|1|1|cell-halign|l>|<cwith|2|2|1|1|cell-halign|r>|<table|<row|<cell|<around*|(|deg<rsub|\<delta\>>
      R\<less\>deg<rsub|\<delta\>> B|\<nobracket\>>>>|<row|<cell|<around*|\<nobracket\>|pgcd<around*|(|C,Q,R|)>=1|)>>>>>>>>>>
    </eqnarray*>

    <\compact>
      <math|Q=quo<rsup|\<ast\>><around|(|A,B|)>> : pseudo-quotient simplifi

      <math|R=rem<rsup|\<ast\>><around|(|A,B|)>> : pseudo-reste simplifi
    </compact>
  </hidden>|<\hidden>
    <tit|Division avec reste (algorithme)>

    <\ridged-paper>
      <\proposition*>
        <\compact>
          Soient <math|K,L\<in\>\<bbb-K\><around|[|x,\<delta\>|]><rsub|n,r>>
          avec <math|n\<geqslant\>r> et <math|s=deg<rsub|\<delta\>>
          K\<gtr\>0>. Soit

          <\eqnarray*>
            <tformat|<table|<row|<cell|J*L>|<cell|=>|<cell|Q*K+R>>>>
          </eqnarray*>

          la pseudo-division de <math|L> par <math|K> avec simplification. Si
          <math|n<rprime|'>\<geqslant\>n> vrifie
          <math|<rigid|A,Q,R>\<in\><rigid|\<bbb-K\><around|[|x,\<delta\>|]><rsub|n<rprime|'>,r>>>,
          alors <math|A,Q> et <math|R> se calculent en temps
          <math|\<cal-O\><around|(|<math-ss|><math-ss|SM><around*|(|n<rprime|'>,r|)>*log
          n<rprime|'>|)>>.
        </compact>
      </proposition*>
    </ridged-paper>

    \;

    <strong|Algorithme> (<math|n<rprime|'>> connu)

    <\itemize>
      <item>Calculer systme fondamental <math|H> pour
      <math|K<around|(|H|)>=0>  l'ordre<nbsp><math|\<cal-O\><around|(|x<rsup|2*n<rprime|'>+r>|)>>.

      <item>Calculer <math|G=L<around|(|H|)>> avec <math|R<around|(|H|)>=J*G>
       l'ordre <math|\<cal-O\><around|(|x<rsup|2*n<rprime|'>+r>|)>>.

      <item>Interpoler <math|\<Omega\>\<in\>\<bbb-K\><around|[|<around|[|x|]>|]><around|[|\<delta\>|]><rsub|s>>
      avec <math|\<Omega\><around|(|H|)>=x<rsup|s>*G>  l'ordre
      <math|\<cal-O\><around|(|x<rsup|2*n<rprime|'>+r>|)>>.

      <\compact>
        <item>On a <math|R=x<rsup|-s>*A*\<Omega\>> et
        <math|x<rsup|\<um\>s>*\<Omega\>> est connu  l'ordre
        <math|\<cal-O\><around|(|x<rsup|2*n<rprime|'>>|)>>.

        <math|x<rsup|\<um\>s>*\<Omega\><rsub|0>,\<ldots\>,x<rsup|-s>*\<Omega\><rsub|s-1>>
        fractions rationnelles tronques de degrs
        <math|\<less\>n<rprime|'>>.

        Reconstruction rationnelle de <math|J> et de <math|R>.
      </compact>

      <item>Calculer <math|Q> avec <math|Q*K=J*L-R> par l'algorithme de
      division exacte.
    </itemize>
  </hidden>|<\hidden>
    <tit|Pgcd, ppcm (dfinitions)>

    Pour <math|K,L\<in\>\<bbb-K\><around*|(|x|)><around*|[|\<delta\>|]>>, il
    existe des uniques <math|\<Gamma\>=pgcd<around*|(|K,L|)>> et
    <math|\<Lambda\>=ppcm<around*|(|K,L|)>> unitaires dans
    <math|\<bbb-K\><around*|(|x|)><around*|[|\<delta\>|]>> avec

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<bbb-K\><around|(|x|)><around|[|\<delta\>|]>*\<Gamma\>>|<cell|=>|<cell|\<bbb-K\><around|(|x|)><around|[|\<delta\>|]>*K+\<bbb-K\><around|(|x|)><around|[|\<delta\>|]>*L>>|<row|<cell|\<bbb-K\><around|(|x|)><around|[|\<delta\>|]>*\<Lambda\>>|<cell|=>|<cell|\<bbb-K\><around|(|x|)><around|[|\<delta\>|]>*K\<cap\>\<bbb-K\><around|(|x|)><around|[|\<delta\>|]>*L.>>>>
    </eqnarray*>

    Aussi uniques <math|<rigid|A,B,C,D>\<in\>\<bbb-K\><around|(|x|)><around|[|\<delta\>|]>>
    avec

    <\eqnarray*>
      <tformat|<table|<row|<cell|<matrix|<tformat|<table|<row|<cell|\<Gamma\>>>|<row|<cell|0>>>>>>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|A>|<cell|B>>|<row|<cell|C>|<cell|D>>>>>*<matrix|<tformat|<table|<row|<cell|K>>|<row|<cell|L>>>>>,>>>>
    </eqnarray*>

    <math|deg<rsub|\<delta\>> A*K,deg<rsub|\<delta\>>
    B*L\<less\>deg<rsub|\<delta\>> \<Lambda\>> et <math|C*K=-D*L=\<Lambda\>>.
    <math|Eucl<around*|(|K,L|)>=<matrix|<tformat|<table|<row|<cell|A>|<cell|B>>|<row|<cell|C>|<cell|D>>>>>>.

    De mme qu'au dessus : <math|pgcd<rsup|\<ast\>><around*|(|K,L|)>>,
    <math|ppcm<rsup|\<ast\>><around*|(|K,L|)>> et
    <math|Eucl<rsup|\<ast\>><around*|(|K,L|)>>.
  </hidden>|<\hidden>
    <tit|Pgcd (calcul)>

    <\ridged-paper>
      <\theorem*>
        Soient <math|K,L\<in\>\<bbb-K\><around|[|x,\<delta\>|]><rsub|n,r>> et
        <math|n<rprime|'>\<geqslant\>n> tels que
        <math|\<Lambda\><rsup|\<ast\>>=lcm<rsup|\<ast\>><around|(|K,L|)>\<in\><rigid|\<bbb-K\><around|[|x,\<delta\>|]><rsub|n<rprime|'>,r>>>.
        Si <math|K>, <math|L> et <math|lcm<rsup|\<ast\>><around|(|K,L|)>>
        sont non singuliers, alors on peut calculer
        <math|\<Gamma\><rsup|\<ast\>>> en temps
        <math|\<cal-O\><around|(|<math-ss|SM><around|(|n<rprime|'>,r|)>*log
        n<rprime|'>|)>>.
      </theorem*>
    </ridged-paper>

    \;

    <unroll|<\shown>
      <strong|Algorithme>

      <\itemize>
        <item>Systmes fondamentaux <math|G>, <math|H> pour
        <math|K<around|(|G|)>=0>, <math|L<around|(|H|)>=0>  l'ordre
        <math|\<cal-O\><around|(|x<rsup|2*n<rprime|'>+2*r>|)>>.

        <item>Calculer base <math|B> de <math|V=Vect<around|(|G|)>\<cap\>Vect<around|(|H|)>>
         l'ordre <math|\<cal-O\><around|(|x<rsup|2*n<rprime|'>+2*r>|)>>.

        <item>Calculer <math|\<Omega\>=ann<around|(|B|)>=pgcd<around|(|K,L|)>>
         l'ordre <math|O<around|(|x<rsup|2*n<rprime|'>>|)>>.

        <item>Reconstruire <math|\<Gamma\><rsup|\<ast\>>=pgcd<rsup|\<ast\>><around*|(|K,L|)>>
         partir de <math|\<Omega\> mod x<rsup|2*n<rprime|'>>>.
      </itemize>
    </shown>|<\hidden*>
      <vspace*|1fn><strong|Avertissement>

      <\compact>
        <math|K=ann<around*|(|1,x|)>>, <math|L=ann<around*|(|\<mathe\><rsup|x>,x|)>>
        et <math|ppcm<around*|(|K,L|)>=ann<around*|(|1,x,\<mathe\><rsup|x>|)>>
        tous non singuliers,

        mais <math|pgcd<around*|(|K,L|)>=ann<around*|(|x|)>=\<delta\>-1> est
        singulier.
      </compact>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Certification>

    <unroll|<\shown>
      <vspace*|1fn><strong|Arrt prcoce>

      <\compact>
        Si <math|Vect<around|(|G|)>\<cap\>Vect<around|(|H|)>=\<varnothing\>>
        modulo <math|\<cal-O\><around*|(|x<rsup|n<rprime|'>>|)>> pour un
        certain <math|n<rprime|'>>,

        alors <math|pgcd<rsup|\<ast\>><around*|(|K,L|)>=1>.
      </compact>
    </shown>|<\hidden*>
      <vspace*|1fn><strong|Matrices Euclidiennes>

      Calcul de <math|Eucl<rsup|\<ast\>><around*|(|K,L|)>> donne
      <math|pgcd<rsup|\<ast\>><around*|(|K,L|)>> et certification.
    </hidden*>|<\hidden*>
      <vspace*|1fn><strong|Pseudo-division de <math|K> et <math|L> par
      <math|\<Gamma\><rsup|\<ast\>>>>

      <\compact>
        <math|n<rprime|'>> trop petit <math|\<rightsquigarrow\>> l'algorithme
        donne un <math|<wide| \<Gamma\><rsup|\<ast\>>|~>> de degr
        ventuellement trop lev<vspace|0.25fn>

        Mais <math|<wide| \<Gamma\><rsup|\<ast\>>|~>> est correct si
        <math|<wide| \<Gamma\><rsup|\<ast\>>|~>> pseudo-divise  la fois
        <math|K> et <math|L>
      </compact>
    </hidden*>|<\hidden*>
      <vspace*|1fn><strong|Bornes effectives>

      Borne pour <math|v<around*|(|L<around*|(|\<phi\>|)>|)>> pour tout
      <math|\<phi\>\<in\>Ker K\<setminus\><around*|{|0|}>> (<math|K>,
      <math|L> non singuliers) ?
    </hidden*>>
  </hidden>>
</body>

<\initial>
  <\collection>
    <associate|info-flag|none>
    <associate|language|french>
    <associate|page-bot|5mm>
    <associate|page-even|5mm>
    <associate|page-odd|5mm>
    <associate|page-right|5mm>
    <associate|page-screen-bot|5mm>
    <associate|page-screen-top|5mm>
    <associate|page-show-hf|true>
    <associate|page-top|5mm>
    <associate|preamble|false>
    <associate|sfactor|4>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|SA-from-SM-th|<tuple|2|?>>
    <associate|SA-from-SV|<tuple|1|?>>
    <associate|SM-from-SV|<tuple|1|?>>
    <associate|SM-from-SV-th|<tuple|1|?>>
    <associate|SQ-from-SM-th|<tuple|2|?>>
    <associate|auto-1|<tuple|1|?>>
    <associate|op-solve-lem|<tuple|1|?>>
    <associate|ps-div|<tuple|1|?>>
    <associate|rec-eq|<tuple|2|?>>
    <associate|wrap-fig|<tuple|?|?>>
  </collection>
</references>